#!/bin/bash

# This helper script will handle generation of a db primary password for both apps and infra namespaces
#
# /scripts/gen-primary-secret.sh
#

set -e

source /scripts/utils.sh

check_access ${infraNamespace} secrets
check_access ${appsNamespace} secrets

## namingPrefix comes from mounted env variables
source /scripts/chartFunctions.sh
## masterUserName could be supplied via Helm, but we'll use
##  the shell function as a fall-back.
user=${esClusterMasterUserName:-$(trimUser $namingPrefix)}

echo "Creating kubernetes secret ${dbUserCredsSecretUserName}"
## create_secret_user check if already exists, so modifications shouldn't affect existing implementations.
create_secret_user ${dbUserCredsSecretUserName} ${infraNamespace} ${user}
create_secret_user ${dbUserCredsSecretUserName} ${appsNamespace} ${user}

echo "Generating new password."
password=$(openssl rand -base64 24)
password+="_3"

create_secret_password ${dbUserCredsSecretPassName} ${infraNamespace} ${password}
create_secret_password ${dbUserCredsSecretPassName} ${appsNamespace} ${password}

print_header "$0 done."

