#!/bin/sh

# This helper script will handle uninstalling elasticsearch
set -e

source /scripts/utils.sh

echo "Deleting secrets"
run_cmd kubectl --namespace ${appsNamespace} delete secret ${dbUserCredsSecretPassName} --ignore-not-found
run_cmd kubectl --namespace ${appsNamespace} delete secret ${dbUserCredsSecretUserName} --ignore-not-found

run_cmd kubectl --namespace ${infraNamespace} delete secret ${dbUserCredsSecretPassName} --ignore-not-found
run_cmd kubectl --namespace ${infraNamespace} delete secret ${dbUserCredsSecretUserName} --ignore-not-found

echo "Deleting configmaps"
arnConfigMapName=${namingPrefix}-arn
run_cmd kubectl --namespace="${appsNamespace}" delete configmap "${arnConfigMapName}" --ignore-not-found
run_cmd kubectl --namespace="${infraNamespace}" delete configmap "${arnConfigMapName}" --ignore-not-found

outputsConfigMapName=${namingPrefix}-outputs
run_cmd kubectl --namespace="${appsNamespace}" delete configmap "${outputsConfigMapName}" --ignore-not-found
run_cmd kubectl --namespace="${infraNamespace}" delete configmap "${outputsConfigMapName}" --ignore-not-found

inputsFileConfigMapName=${namingPrefix}-inputs-in-file
run_cmd kubectl --namespace="${appsNamespace}" delete configmap "${inputsFileConfigMapName}" --ignore-not-found
run_cmd kubectl --namespace="${infraNamespace}" delete configmap "${inputsFileConfigMapName}" --ignore-not-found

run_cmd kubectl --namespace ${appsNamespace} delete cm ${namingPrefix}-endpoint --ignore-not-found
run_cmd kubectl --namespace ${infraNamespace} delete cm ${namingPrefix}-endpoint --ignore-not-found

inputsEnvConfigMapName=${namingPrefix}-inputs-in-env
run_cmd kubectl --namespace="${appsNamespace}" delete configmap "${inputsEnvConfigMapName}" --ignore-not-found
run_cmd kubectl --namespace="${infraNamespace}" delete configmap "${inputsEnvConfigMapName}" --ignore-not-found

# Deprecated - will be removed in 1.0 release
echo "Deleting external service ${dbServiceClusterEndpointShortName} from namespace ${appsNamespace}"
run_cmd kubectl --namespace ${appsNamespace} delete service ${dbServiceClusterEndpointShortName} --ignore-not-found

print_header "Kubernetes outputs cleanup complete, use cloud custodian tool to delete AWS resources"
print_header "$0 done."
